Rbac

Replace the permission set on a role

Replaces the permission set assigned to the role. Send the complete list of permission IDs that should be active for the role.

PUT
/api/roles/{id}/permissions
AuthorizationBearer <token>

Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT. Virtual keys (prefixed with sk-bf-) can also be passed here.

In: header

Path Parameters

idinteger
permission_idsarray<integer>

Response Body

curl -X PUT "https://loading/{AI_GATEWAY_URL}/api/roles/0/permissions" \  -H "Content-Type: application/json" \  -d '{    "permission_ids": [      0    ]  }'
{
  "message": "string"
}
{
  "event_id": "string",
  "type": "string",
  "is_bifrost_error": true,
  "status_code": 0,
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string",
    "event_id": "string"
  },
  "extra_fields": {
    "provider": "openai",
    "model_requested": "string",
    "request_type": "string"
  }
}
Empty
{
  "event_id": "string",
  "type": "string",
  "is_bifrost_error": true,
  "status_code": 0,
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string",
    "event_id": "string"
  },
  "extra_fields": {
    "provider": "openai",
    "model_requested": "string",
    "request_type": "string"
  }
}
On this page

On this page

No Headings